spring:
  application:
    name: tle-monitoring-service
  cloud:
    config:
      enabled: false
  kafka:
    bootstrap-servers: 192.168.60.68:29092
    consumer:
      group-id: pcp
      auto-offset-reset: earliest
    template:
      default-topic: pcp.tle
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://192.168.60.68:5432/pcp_tle
    username: postgres
    password: password
  jpa:
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        jdbc:
          lob:
            non_contextual_creation: true
  flyway:
    enabled: true
    baseline-on-migrate: true
    locations: classpath:db/migration
  lifecycle.timeout-per-shutdown-phase: 40s
  jackson:
    default-property-inclusion: non_null
  codec:
    max-in-memory-size: 20MB

springdoc:
  swagger-ui:
    enabled: true
    layout: BaseLayout
    path: /swagger/ui
  api-docs:
    enabled: true
    path: /api-docs

logging:
  level:
    .: ERROR
  file:
    name: ./logs/application.log

management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: always
    info:
      enabled: true

settings:
  complex-mission-service: http://192.168.60.68:7002

tle:
  polling:
    enabled: false
    timeout-seconds: 10800

server:
  port: 7001
